Commit df39e3e2 authored by jezra's avatar jezra

added gstreamer0.10-base-plugins to the requirements in the README

commands don't need to be in all caps
parent 87da5d0a
......@@ -3,9 +3,10 @@ Blather is a speech recognizer that will run commands when a user speaks preset
##Requirements
1. pocketsphinx
2. gstreamer (and what ever plugin has pocket sphinx support)
3. pyside (only required for the Qt based UI)
4. pygtk (only required for the Gtk based UI)
2. gstreamer-0.10 (and what ever plugin has pocket sphinx support)
3. gstreamer-0.10 base plugins (required for alsa)
4. pyside (only required for the Qt based UI)
5. pygtk (only required for the Gtk based UI)
##Usage
0. move commands.tmp to ~/.config/blather/commands.conf and fill the file with sentences and command to run
......
# commands are key:value pairs
# key is the sentence to listen for
# key must be in ALL CAPS
# value is the command to run when the key is spoken
HELLO WORLD:echo "hello world"
hello world:echo "hello world"
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment